Skip to main content
PUT
/
addresses
/
batch
/
external
Create or update multiple addresses by external ID
curl --request PUT \
  --url https://api.artu.ai/addresses/batch/external \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "items": [
    {
      "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "street": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postalCode": "<string>",
      "country": "<string>",
      "externalId": "<string>",
      "type": "home",
      "isPrimary": true,
      "metadata": {},
      "scopeData": {
        "MX": {
          "exteriorNumber": "<string>",
          "interiorNumber": "<string>",
          "neighborhood": "<string>",
          "municipality": "<string>",
          "betweenStreets": "<string>",
          "reference": "<string>",
          "cnbv": {}
        },
        "US": "<unknown>"
      }
    }
  ],
  "atomic": true
}
'
{
  "atomic": "<unknown>",
  "data": [
    {
      "data": {
        "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "isPrimary": true,
        "street": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postalCode": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "type": "home",
        "country": "<unknown>",
        "externalId": "<string>",
        "metadata": {},
        "scopeData": {
          "MX": {
            "exteriorNumber": "<string>",
            "interiorNumber": "<string>",
            "neighborhood": "<string>",
            "municipality": "<string>",
            "betweenStreets": "<string>",
            "reference": "<string>",
            "cnbv": {
              "TRANSMISOR": {}
            }
          },
          "US": "<unknown>"
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json
items
object[]
required
Required array length: 1 - 250 elements
atomic
boolean
default:true

Response

200 - application/json

OK

atomic
any
required
data
object[]
required